package com.ruiwenliu.wrapper.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;

/**
 * 获取分享用户信息
 */
public class CodeInfoBean extends BaseBean {
    private UserInfo data;
    private boolean rel;

    public UserInfo getData() {
        return data;
    }

    public void setData(UserInfo data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class UserInfo {
        private String id;//    ": 68,
        private String userid;//   ": 73,
        private String isMember;//   ": 1,
        private String nickname;//   ": "娇蕉仔",
        private String wxNickname;//   ": "黄麗嬌",
        private String qqNickname;//   ": "vlKRYSTAL",
        private String realname;//   ": "黄丽娇",
        private String headimgurl;//   ": "https://xxtest.upyuns.com/image/app/2019-11-11/77.png",
        private String sex;//   ": 0,
        private String birthday;//   ": "2000-07",
        private String channel;//   ": 1,
        private String provinceCode;//   ": 0,
        private String cityCode;//   ": 0,
        private String updHost;//   ": "10.5.52.3",
        private String positionId;//   ": 4,
        private String code;//   ": "4q4dZYgQ",
        private String state;//   ": 2

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getUserid() {
            return userid;
        }

        public void setUserid(String userid) {
            this.userid = userid;
        }

        public String getIsMember() {
            return isMember;
        }

        public void setIsMember(String isMember) {
            this.isMember = isMember;
        }

        public String getNickname() {
            return nickname;
        }

        public void setNickname(String nickname) {
            this.nickname = nickname;
        }

        public String getWxNickname() {
            return wxNickname;
        }

        public void setWxNickname(String wxNickname) {
            this.wxNickname = wxNickname;
        }

        public String getQqNickname() {
            return qqNickname;
        }

        public void setQqNickname(String qqNickname) {
            this.qqNickname = qqNickname;
        }

        public String getRealname() {
            return realname;
        }

        public void setRealname(String realname) {
            this.realname = realname;
        }

        public String getHeadimgurl() {
            return headimgurl;
        }

        public void setHeadimgurl(String headimgurl) {
            this.headimgurl = headimgurl;
        }

        public String getSex() {
            return sex;
        }

        public void setSex(String sex) {
            this.sex = sex;
        }

        public String getBirthday() {
            return birthday;
        }

        public void setBirthday(String birthday) {
            this.birthday = birthday;
        }

        public String getChannel() {
            return channel;
        }

        public void setChannel(String channel) {
            this.channel = channel;
        }

        public String getProvinceCode() {
            return provinceCode;
        }

        public void setProvinceCode(String provinceCode) {
            this.provinceCode = provinceCode;
        }

        public String getCityCode() {
            return cityCode;
        }

        public void setCityCode(String cityCode) {
            this.cityCode = cityCode;
        }

        public String getUpdHost() {
            return updHost;
        }

        public void setUpdHost(String updHost) {
            this.updHost = updHost;
        }

        public String getPositionId() {
            return positionId;
        }

        public void setPositionId(String positionId) {
            this.positionId = positionId;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public String getState() {
            return state;
        }

        public void setState(String state) {
            this.state = state;
        }
    }
}
